﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Text;
using Autodesk.AutoCAD.DatabaseServices;
using INMotion2010a;

namespace MotionAddon
{
    public class ACMPart : System.Object
    {
        //constructor
        public ACMPart() 
        {   
            this.cACMMarker = new ArrayList();
            this.cPosRotMatVelAccData = new ArrayList();
        }

        public ACMPart(string PartName, ObjectId ObjectID)
        {
            this._Name = PartName;
            this._ID = ObjectID;
        }

        //properties
        private string _Name;
        private ObjectId _ID;
        private CSMPart _CSMPart;
        private CSMMassMarker _CSMMassMarker;
        
        public ArrayList cACMMarker;

        //
        public string Name
        {
            set { _Name = value; }
            get { return _Name; }
        }
        public ObjectId ObjectID
        {
            set { _ID = value; }
            get { return _ID; }
        }
        public CSMPart aCSMPart
        {
            set { _CSMPart = value; }
            get { return _CSMPart; }
        }
        public CSMMassMarker aCSMMassMarker
        {
            set { _CSMMassMarker = value; }
            get { return _CSMMassMarker; }
        }

        public ArrayList cPosRotMatVelAccData;
    }
 
}
