﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.Geometry;

namespace MotionAddon
{
    public partial class DPlayer : Form
    {
        public DPlayer()
        {
            InitializeComponent();
        }
        ACMExplorer M_E = (ACMExplorer)ACMInterface.aACMExplorer;
        private ArrayList ThreadList = new ArrayList();
        private void ThreadTask()
        {
        }

        private void MotionPlayer_Load(object sender, EventArgs e)
        {

        }

        private void Play_Click(object sender, EventArgs e)
        {
            this.Play.Enabled = false;
            DocumentLock DocLock = ACMExplorer.ProjectDocument.LockDocument();
            try
            {
                ThreadList.Clear();
                foreach (classMovingPart newMovingPart in M_E.MovingPartsArray)
                {
                    ThreadList.Add(new Thread(new ThreadStart(newMovingPart.MotionThreadFunction)));
                }
                foreach (Thread newThread in ThreadList)
                {
                    newThread.Start();
                }
                foreach (Thread newThread in ThreadList)
                {
                    newThread.Join();
                }
            }
            catch
            {
            }
            DocLock.Dispose();
            this.Play.Enabled = true;

        }
 

    }
}
