﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using INMotion2010a;


namespace MotionAddon
{
    public class ACMAssembly : System.Object
    {
        //constructor
        public ACMAssembly()
        {
            this.cACMPart = new ArrayList();
            this.cACMMarker = new ArrayList();
            this.cACMJoint = new ArrayList();
            this.cACMMotion = new ArrayList();
        }

        //properties
        private string _Name;
        //CSM
        private CSMAssembly _CSMAssembly;
        private ACMSimulation _ACMSimulation;
        private ACMMarker _ASMCSMMarker;

        public ArrayList cACMPart;
        public ArrayList cACMMarker;
        public ArrayList cACMJoint;
        public ArrayList cACMMotion;

        //
        public string Name
        {
            set { _Name = value; }
            get { return _Name; }
        }
        public ACMSimulation aACMSimulation
        {
            set { _ACMSimulation = value; }
            get { return _ACMSimulation; }
        }
        public CSMAssembly aCSMAssembly
        {
            set { _CSMAssembly = value; }
            get { return _CSMAssembly; }
        }
        public ACMMarker aASMCSMMarker
        {
            set { _ASMCSMMarker = value; }
            get { return _ASMCSMMarker; }
        }
    }
}
