﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MotionAddon
{
    public partial class DSimulationSetting : Form
    {
        public DSimulationSetting()
        {
            InitializeComponent();
        }

        ACMExplorer M_E = (ACMExplorer)ACMInterface.aACMExplorer;

        private void OKButton_Click(object sender, EventArgs e)
        {
            bool valueisok = true;
            double StartTime = 0;
            double EndTime = 0;
            double OutPut = 0;
            double Maximum = 0;
            double Minimum = 0;
            double ErrorTolerance = 0;

            if (this.StartTimeTBox.Text != "")
            {
                StartTime = Convert.ToDouble(this.StartTimeTBox.Text);
            }
            else { valueisok = false; }
            if (this.EndTimeTBox.Text != "")
            {
                EndTime = Convert.ToDouble(this.EndTimeTBox.Text);
            }
            else { valueisok = false; }
            if (this.OutPutTBox.Text != "")
            {
                OutPut = Convert.ToDouble(this.OutPutTBox.Text);
            }
            else { valueisok = false; }
            if (this.MaximumTBox.Text != "")
            {
                Maximum = Convert.ToDouble(this.MaximumTBox.Text);
            }
            else { valueisok = false; }
            if (this.MinimumTBox.Text != "")
            {
                Minimum = Convert.ToDouble(this.MinimumTBox.Text);
            }
            else { valueisok = false; }
            if (this.ErrorToleranceTBox.Text != "")
            {
                ErrorTolerance = Convert.ToDouble(this.ErrorToleranceTBox.Text);
            }
            else { valueisok = false; }
            if (valueisok == true)
            {
                try
                {
                    M_E.AddACMSimulation(StartTime, EndTime, OutPut, Minimum, Maximum, ErrorTolerance);
                    this.Close();
                }
                catch
                {
                }
            }
            else
            {
                MessageBox.Show("Error : Please check your value...");
            }

        }

        private void DefaultButton_Click(object sender, EventArgs e)
        {
            this.StartTimeTBox.Text = "0.0";
            this.EndTimeTBox.Text = "1.0";
            this.OutPutTBox.Text = "0.1";
            this.MaximumTBox.Text = "1.0";
            this.MinimumTBox.Text = "1.0E-9";
            this.ErrorToleranceTBox.Text = "1.0E-6";
            
        }
    }
}
