﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MotionAddon
{
    public partial class DSimulator : Form
    {
        public DSimulator()
        {
            InitializeComponent();
        }

        ACMExplorer M_E = (ACMExplorer)ACMInterface.aACMExplorer;

        private void StartSimulationButton_Click(object sender, EventArgs e)
        {
            M_E.StartSimulate();
            this.SimulationMessageTextBox.AppendText("Collecting Data..." + Environment.NewLine);
            if (M_E.SimulationStatus == true)
            {
                this.SimulationMessageTextBox.AppendText("Done Collecting Data..." + Environment.NewLine);
            }
            else
            {
                this.SimulationMessageTextBox.AppendText("Failed..." + Environment.NewLine);
                return;
            }
            //M_E.testsimulation();
            //M_E.StartKinematic();
            M_E.StartDynamic();
            while (ACMExplorer.COMCADSM.IsSimulating())
            {
               this.SimulationMessageTextBox.AppendText(ACMExplorer.COMCADSM.Messages() + Environment.NewLine);
            }
            Boolean animationdone = M_E.testanimation();
            if (animationdone == true) this.SimulationMessageTextBox.AppendText("Process End..." + Environment.NewLine);
        }

        private void SimulationSettingButton_Click(object sender, EventArgs e)
        {
            ACMMainClass.aACMInterface.CreateSimulationSettingDialog();
        }

        private void b_Animation_Click(object sender, EventArgs e)
        {
            M_E.testanimation();
        }
    }
}
